## python-leather 0.3.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/leather.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/leather.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/leather"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/leather"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-leather 0.3.3

=== debian/changelog ===
python-leather (0.3.3-1) unstable; urgency=low

  * Initial release. (Closes: #857388)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 16 Mar 2017 15:59:53 +0000

=== debian/control ===
Source: python-leather
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-cssselect <!nocheck>,
               python3-doc <!nodoc>,
               python3-lxml <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-leather.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-leather.git
Homepage: http://leather.readthedocs.org/
X-Python3-Version: >= 3.3

Package: python3-leather
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-leather-doc <!nodoc>
Description: charting library for Python
 Leather is the Python charting library for those who need charts now and don’t
 care if they’re perfect.
 .
 Why leather?
 .
   - A readable and user-friendly API.
   - Optimized for exploratory charting.
   - Produces scale-independent SVG charts.
   - Completely type-agnostic. Chart your data, whatever it is.
   - Designed with iPython, Jupyter and atom/hydrogen in mind.
   - Pure Python. No C dependencies to compile.
   - MIT licensed and free for all purposes.
   - Zealously zen.
   - Made with love.
 .
 This package provides the modules for Python 3.

Package: python-leather-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python-leather-doc <!nodoc>
Description: documentation for leather
 Leather is the Python charting library for those who need charts now and don’t
 care if they’re perfect.
 .
 Why leather?
 .
   - A readable and user-friendly API.
   - Optimized for exploratory charting.
   - Produces scale-independent SVG charts.
   - Completely type-agnostic. Chart your data, whatever it is.
   - Designed with iPython, Jupyter and atom/hydrogen in mind.
   - Pure Python. No C dependencies to compile.
   - MIT licensed and free for all purposes.
   - Zealously zen.
   - Made with love.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/leather-$1\.tar\.gz/ \
https://github.com/wireservice/leather/tags .*/v?(\d\S+)\.tar\.gz

## python-leather 0.3.4

=== debian/changelog ===
python-leather (0.3.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-leather-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:04:52 +0000

python-leather (0.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use secure URI in Homepage field.
  * Remove 1 unused lintian overrides.
  * Bump debhelper from old 12 to 13.

  [ Scott Talbert ]
  * Update to new upstream release 0.3.4

 -- Scott Talbert <swt@techie.net>  Thu, 11 Nov 2021 17:56:24 -0500

python-leather (0.3.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:04:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-leather
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
@@ -16,10 +16,9 @@
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-leather.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-leather.git
-Homepage: http://leather.readthedocs.org/
-X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-leather
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-leather.git
+Homepage: https://leather.readthedocs.org/
 
 Package: python3-leather
 Architecture: all
@@ -69,3 +68,4 @@
  .
  This package provides the documentation.
 Build-Profiles: <!nodoc>
+Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = leather
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -b html docs build/html
endif

## python-leather 0.4.0

=== debian/changelog ===
python-leather (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches: Refresh patches and set Forwarded to not-needed.
  * d/watch: Bump watch file standard from 3 to 4.
  * d/control:
    - Add furo, jdupes to Build-Depends.
    - Bump Standards-Version from 3.9.8 to 4.6.2.
    - Set Rules-Requires-Root to no.
    - Add Testsuite autopkgtest-pkg-pybuild.
    - Remove Built-Using for sphinxdoc, since Architecture set to all.
    - Remove unused Build-Depends (dpkg-dev, python3-doc, python3-six,
      sphinx-common).
    - Remove/alter Suggests fields for python-leather-doc.
  * d/rules:
    - Remove excess overrides for dh_auto_build and check for
      disabling dh_auto_test.
    - Call jdupes to remove duplicate files in the documentation package.
  * d/tests: Remove, replaced with autopkgtest-pkg-pybuild for upstream tests.
  * d/python-leather-doc.examples: Install examples folder.
  * d/salsa-ci.yml: Enable salsa-ci pipeline.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 07 Dec 2023 08:49:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-cssselect <!nocheck>,
-               python3-doc <!nodoc>,
                python3-lxml <!nocheck>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               sphinx-common
-Standards-Version: 3.9.8
+               furo <!nodoc>,
+               jdupes <!nodoc>,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-leather
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-leather.git
 Homepage: https://leather.readthedocs.org/
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Suggests: python-leather-doc <!nodoc>
+Suggests: python-leather-doc
 Description: charting library for Python
  Leather is the Python charting library for those who need charts now and don’t
  care if they’re perfect.
@@ -48,8 +48,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
-Suggests: python-leather-doc <!nodoc>
 Description: documentation for leather
  Leather is the Python charting library for those who need charts now and don’t
  care if they’re perfect.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = leather

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	export http_proxy=127.0.0.1:9
	export https_proxy=127.0.0.1:9
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -b html docs build/html
endif

execute_after_dh_link:
	# Deal with some duplicate files in examples and docs
	jdupes -rl debian/python-leather-doc || true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/leather-$1\.tar\.gz/ \
https://github.com/wireservice/leather/tags .*/v?(\d\S+)\.tar\.gz
